# This is a BSD Makefile base webpage generator.

Pretty minimal... no features at all.

## Requirements:

- BSD make (written and tested on OpenBSD)
- discount (for parsing markdown file)
- asciidoctor + asciidoctor-diagram extension (for parsing asciidoctor files)
- ksh (for shell stuff)
- rsync (to copy static files)

## Basic operation:

src/header.th gets prepended to every file.
src/footer.th gets appended to every file.

.pa files contain asciidoctor source.
.pm files contain markdown source.
.ph files contain plain html.
.ps files contain ksh shell script (the scripts must output html code to stdout).
.pt files contain plain text.

Execute `make debug` to create the website with debug output.
Execute `make` to hide the debug output.
Execute `make install` to copy the page to the remote host.

The generated website will be in the directory `www`.

Execute `make clean` to delete www.

## Configuration

Configuration happens in the `.control`. Toggles are files and their
content is the value.

Configure the remote host for `make install`.
```
echo "user@my-server.de:/var/www" > .control/remote-ssh-host
```

Everything in `.control/static-files` is copied as is (supports globbing).

