# LineageOS on Motorola Z2 Force

Whenever there is a major LineageOS Update, chances are that I forgot the flashing process. So here are the notes.

Disclaimer: Due to the missing tools to flash from OpenBSD, I use my work computer, which runs windows.

## Required Downloads:

- [Android Platform Tools](https://dl.google.com/android/repository/platform-tools-latest-windows.zip) (contains adb and fastboot)
- [Motorola Smart Assistant](https://support.lenovo.com/us/en/downloads/ds101291) (contains USB drivers for fastboot)

## Prepare:

- Install motorola smart assistant
- Extract  platform-tools  make  sure  you're  in  the  platform  tools directory or that they are in your `$PATH`.

## Update steps:

- p[hone]: Boot into bootloader (power+down)
- c[omputer]: fastboot flash boot_a <lineageos_recovery>.img
- c: fastboot flash boot_b <lineageos_recovery>.img
- p: Boot into bootloader (power+down) -> Boot Recovery
- p: Factory Reset -> Wipe data / factory reset + Wipe System
- p: Apply update -> adb sideload
- c: adb sideload <lineageos>.zip
- c: adb sideload <addons>.zip
- p: Reboot

## Notes:

- "adb devices" works without USB drivers
- "fastboot devices" shows nothing if USB drivers are not installed
- This phone has two boot areas and therefore "fastboot flash boot" will fail. The areas "boot_a" and "boot_b" must be used instead. If "boot_a" and "boot_b" are flashed differently, booting will fail.
